package org.dromara.mp.domain.vo;

import lombok.Data;
import org.dromara.common.core.utils.StringUtils;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author sunzexing
 * @version 1.0
 * @title TaskVo
 * @description
 * @create 2024-05-09 14:06
 */
@Data
public class TaskVo implements Serializable {


    private Long id;

    private Long taskId;

    private String proName;

    private String no;

    private Long yj;

    private Long maxYj;

    private Integer classify;

    public String getyJStr() {
        if(classify != null){
            if(classify == 1){
                return StringUtils.fenToYuanFormatter(this.yj)+" ~ "+StringUtils.fenToYuanFormatter(this.maxYj);
            }else{
                return StringUtils.fenToYuanFormatter(this.yj);
            }

        }else{
            return "";
        }

    }
    private String yjStr;

    private String hy;

    private Date createTime;

    private String proContent;

    public String getMerName() {
        return StringUtils.merNameHide(this.merName);
    }

    private String merName;

    private Date merCreateTime;

    private Integer merIsAuth;

    private Integer verifyStatus;

    private String taskDesc;

    private String taskPic;

    private String taskRemark;

    private String taskConfirmFile;

    private Integer taskStatus;





    //签到信息
    private List<UserWorkCheckinVo>  checkInVolist = new ArrayList<>();




}
